complexType "ccapp:SimParams"

Namespace: | http://www.iro.umontreal.ca/lecuyer/contactcenters/app
Content: | complex, 6 attributes, 5 elements
Defined: | globally in ccapp.xsd, see XML source
Includes: | definitions of 6 attributes and 5 elements
Used: | at 3 locations

XML Representation Summary
<...
| cpuTimeLimit | = | xsd:duration
| enableChrono | = | xsd:boolean : "true"
| estimateContactTypeAgentGroup | = | xsd:boolean : "false"
| keepObs | = | xsd:boolean : "false"
| normalizeToDefaultUnit | = | xsd:boolean : "false"
| restrictToPrintedStat | = | xsd:boolean : "false"
| >
Content: | callTrace?, report?, randomStreams?, sequentialSampling*, controlVariable*
</...>

Content Elements (5):

  callTrace (type ccapp:CallTraceParams), controlVariable (type ccapp:ControlVariableParams), randomStreams (type ccapp:RandomStreamsParams), | report (type ccapp:ReportParams), sequentialSampling (type ccapp:SequentialSamplingParams)

Known Direct Subtypes (2):

  ccapp:BatchSimParams, ccapp:RepSimParams

Known Indirect Subtypes (2):

  ccapp:CTMCRepSimParams, ccapp:StratSimParams

All Direct / Indirect Based Elements (5):

  ccapp:batchSimParams, ccapp:ctmcrepSimParams, ccapp:repSimParams, ccapp:simParams, ccapp:stratSimParams

Known Usage Locations

- In derivations of other global types (2):

  ccapp:BatchSimParams (as extension base), | ccapp:RepSimParams (as extension base)

- As direct type of elements (1):
  ccapp:simParams

Annotation
Represents generic parameters for experiments using simulation. These include the parameters for the call-by-call trace, the reporting and sequential sampling parameters, and the settings for the random streams. Other complex types in this schema extends this type with additional attributes. In particular, `RepSimParams` defines parameters for simulations with independent replications while `BatchSimParams` specifies parameters for simulations with batch means.
XML Source (w/o annotations (12); see schema source)

<xsd:complexType abstract="true" name="SimParams"> <xsd:sequence> <xsd:element maxOccurs="1" minOccurs="0" name="callTrace" type="ccapp:CallTraceParams"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="report" type="ccapp:ReportParams"> <xsd:key name="simPrintedStatUniqueMeasure"> <xsd:selector xpath="printedStat"/> <xsd:field xpath="@measure"/> </xsd:key> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="randomStreams" type="ccapp:RandomStreamsParams"> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="sequentialSampling" type="ccapp:SequentialSamplingParams"> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="controlVariable" type="ccapp:ControlVariableParams"> </xsd:element> </xsd:sequence> <xsd:attribute default="false" name="keepObs" type="xsd:boolean"> </xsd:attribute> <xsd:attribute default="false" name="normalizeToDefaultUnit" type="xsd:boolean"> </xsd:attribute> <xsd:attribute name="cpuTimeLimit" type="ssj:nonNegativeDuration"> </xsd:attribute> <xsd:attribute default="true" name="enableChrono" type="xsd:boolean"> </xsd:attribute> <xsd:attribute default="false" name="restrictToPrintedStat" type="xsd:boolean"> </xsd:attribute> <xsd:attribute default="false" name="estimateContactTypeAgentGroup" type="xsd:boolean"> </xsd:attribute> </xsd:complexType>

Attribute Detail
cpuTimeLimit

  Determines the limit for CPU time spent by an experiment using sequential sampling. When the stopping condition for the simulation is checked, if the CPU time elapsed since the beginning of the simulation is higher than this limit, the simulation stops even if the other stopping conditions are not satisfied. If this attribute is omitted, no time limit is enforced.

  Type: | ssj:nonNegativeDuration
  Use: | optional
  Defined: | locally, within (this) ccapp:SimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute name="cpuTimeLimit" type="ssj:nonNegativeDuration"> </xsd:attribute>

enableChrono

  Determines if a chrono is used, during simulation, to evaluate required CPU time. It is necessary to enable the chrono for imposing a CPU time limit, or for displaying the CPU time in the results. Disabling the chrono can be useful if it causes compatibility problems.

  Type: | xsd:boolean
  Use: | optional
  Default: | "true"
  Defined: | locally, within (this) ccapp:SimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="true" name="enableChrono" type="xsd:boolean"> </xsd:attribute>

estimateContactTypeAgentGroup

  Determines if the simulator estimates performance measures concerning (contact type, agent group) pairs. If this option is used, measures such as service level are estimated for every contact type and agent group, but this increases memory usage and decreases performance if the number of contact types or agent groups is large. If this option is disabled (the default), contact-related statistics are computed only for all agent groups.

  Type: | xsd:boolean
  Use: | optional
  Default: | "false"
  Defined: | locally, within (this) ccapp:SimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="false" name="estimateContactTypeAgentGroup" type="xsd:boolean"> </xsd:attribute>

keepObs

  Indicates that when using simulation to estimate performance measures, all collected observations have to be kept in the statistical collectors. This only applies to averages and averages of ratios performance measures. For ratios of averages, only one copy of the estimator is obtained at the end of the simulation.

  Keeping all the observations is memory-intensive for complex contact centers with many contact types, agent groups, and periods, but it can be useful to compute custom statistics on the values such as quantiles, and for plotting histograms.

  This option is useful mostly when interacting with the simulator from Java code since the observations are not printed on the standard output by default when running the simulator from the command-line. However, `printedObs` elements can be embedded in the `report` element to indicate that observations for selected performance measures must be printed.

  Type: | xsd:boolean
  Use: | optional
  Default: | "false"
  Defined: | locally, within (this) ccapp:SimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="false" name="keepObs" type="xsd:boolean"> </xsd:attribute>

normalizeToDefaultUnit

  Determines whether the estimated rates are normalized to the default time unit. If this boolean parameter is set to `true,` any estimated rate is divided by the period duration, providing the rate per simulation time unit. Otherwise, the rates are relative to the periods of the simulation.

  Type: | xsd:boolean
  Use: | optional
  Default: | "false"
  Defined: | locally, within (this) ccapp:SimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="false" name="normalizeToDefaultUnit" type="xsd:boolean"> </xsd:attribute>

restrictToPrintedStat

  Determines if the estimated performance measures are restricted to the list specified by the `printedStat` children of the `report` element. If this attribute is set to `false,` or omitted, the simulator estimates all supported performance measures, and `printedStat` elements only affect the content of reports.

  Type: | xsd:boolean
  Use: | optional
  Default: | "false"
  Defined: | locally, within (this) ccapp:SimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="false" name="restrictToPrintedStat" type="xsd:boolean"> </xsd:attribute>

Content Element Detail
callTrace

  Gives the parameters for the call-by-call trace. If this element is omitted, call-by-call trace is disabled. Note that using a call trace produces huge output files, and slows down the simulator.

  Type: | ccapp:CallTraceParams, complex content
  Defined: | locally, within (this) ccapp:SimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="callTrace" type="ccapp:CallTraceParams"> </xsd:element>

controlVariable

  Defines parameters for control variables used after simulation to reduce variance on the estimates. If no element with this name is present, control variables are not used.

  Type: | ccapp:ControlVariableParams, empty content
  Defined: | locally, within (this) ccapp:SimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="controlVariable" type="ccapp:ControlVariableParams"> </xsd:element>

randomStreams

  Defines parameters for the random streams used by the simulator. If this element is omitted, MRG32k3a streams are used, with the default initial seed.

  Type: | ccapp:RandomStreamsParams, complex content
  Defined: | locally, within (this) ccapp:SimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="randomStreams" type="ccapp:RandomStreamsParams"> </xsd:element>

report

  Defines reporting parameters. If this element is omitted, a detailed report on all performance measures, with confidence intervals with level 0.95, is produced.

  Type: | ccapp:ReportParams, complex content
  Defined: | locally, within (this) ccapp:SimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="report" type="ccapp:ReportParams"> <xsd:key name="simPrintedStatUniqueMeasure"> <xsd:selector xpath="printedStat"/> <xsd:field xpath="@measure"/> </xsd:key> </xsd:element>

sequentialSampling

  Determines parameters for sequential sampling. Each occurrence of this element refers to a specific type of performance measure. If no element with this name is present in the parameters, sequential sampling is disabled. Otherwise, each occurrence of this element gives a set of performance measures for which sequential sampling is used. When performing sequential sampling, the program obtains a target number of observations for each selected performance measure, and sets the overall target number of observations to the maximum over all selected performance measures. See the description of the `SequentialSamplingParams` complex type for more information about this.

  Type: | ccapp:SequentialSamplingParams, empty content
  Defined: | locally, within (this) ccapp:SimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="sequentialSampling" type="ccapp:SequentialSamplingParams"> </xsd:element>

XML Schema documentation generated with DocFlex/XML (Kit) v1.6.8 DocFlex/XML (Kit) is a freeware edition of DocFlex/XML, which is a powerful template-driven documentation and report generator from any data stored in XML files. Based on an innovative technology developed by FILIGRIS WORKS, this new tool offers virtuoso data querying and formatting capabilities not found in anything else! Need to convert your XML data into a clear nice-looking documentation or reports? Web-ready hypertext HTML or printable MS Word / OpenOffice.org friendly RTF? DocFlex/XML may be a cheap, quick and effective solution exactly for this task! Have questions? Not sure how to use it? Just send us e-mail to contact@filigris.com and we are always happy to help you! See also our services at www.filigris.com